BCRANKsearch-class {BCRANK} | R Documentation

## Class "BCRANKsearch"

### Description

Holds the whole search path from a single `bcrank` run. Each individual search step is stored in a `BCRANKmatch-class` object. Several objects of this class are collected in a `BCRANKresult-class` object

### Objects from the Class

Objects are not intended to be created directly but as a result from running `bcrank`.

### Slots

`searchPath`:
  a collection of `BCRANKmatch-class` objects, ontaining all bcrank search steps from a start guess to a locally optimal solution.
`finalPWM`:
  position weight matrix containing all DNA sites for the highest scoring consensus in this bcrank run.

### Methods

searchPath
  `signature(object = "BCRANKsearch", i=NULL)`: If `i` is NULL, returns a data frame containing consensus and score for the whole search path. Otherwise, the i'th `BCRANKmatch-class` object in the search path is returned.
pwm
  `signature(object = "BCRANKsearch", normalize=TRUE)`: Returns the position weight matrix (pwm) for the highest scoring consensus in this bcrank run. Matrix positions are between between 0 and 1 when `normalize` is TRUE. When FALSE, the number of matching sequences is reported.
plot
  `signature(x = "BCRANKsearch", y = "missing")`: A plot method for the searchPath.

### Author(s)

Adam Ameur, adam.ameur@lcb.uu.se

### See Also

`bcrank`, `BCRANKmatch-class`, `BCRANKresult-class`

[Package BCRANK version 1.4.1 Index]